org.springframework.web.bind.support

## Interface WebDataBinderFactory

All Known Implementing Classes:
  DefaultDataBinderFactory, InitBinderDataBinderFactory, ServletRequestDataBinderFactory

    public interface WebDataBinderFactory

A factory for creating a `WebDataBinder` instance for a named target object.

Since:
  3.1
Author:
  Arjen Poutsma

### Method Summary

Methods
`WebDataBinder` `createBinder(NativeWebRequest webRequest, Object target, String objectName)` Create a `WebDataBinder` for the given object.

### Method Detail

#### createBinder

    WebDataBinder createBinder(NativeWebRequest webRequest,
                             Object target,
                             String objectName)
                               throws Exception

Create a `WebDataBinder` for the given object.

Parameters:
  `webRequest` - the current request
  `target` - the object to create a data binder for, or `null` if creating a binder for a simple type
  `objectName` - the name of the target object
Returns:
  the created `WebDataBinder` instance, never null
Throws:
  `Exception` - raised if the creation and initialization of the data binder fails